package com.community.huiju.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户数据
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TaUserVO {

    /** 编号 **/
    private Integer id;

    /** 小区编号 **/
    private Integer communityId;

    /** 头像 **/
    private String headPortrait;

    /** 用户名 **/
    private String userName;

    /** 登录名 **/
    private String loginName;

    /** 邮箱 **/
    private String email;

    /** 性别 **/
    private String gender;

    /** 认证状态 **/
    private String verifyStatus;

    /** 用户状态 **/
    private String status;

    /** 用户token **/
    private String token;

    /** 地址省市区 **/
    private String addressProvince;

    /** 小区名 **/
    private String communityName;

    /** 楼栋单元号 **/
    private String addressBuilding;

}
