package com.community.huiju.service;

import com.community.huiju.model.TpMessage;

import java.util.List;
import java.util.Map;

public interface MessageServiceI {
	/**
	 * 获取消息数量
	 * @param communityId
	 * @return
	 */
	Map<String, Object> getMessageTotal(Integer communityId);
	
	/**
	 * 分页获取消息或待办
	 * @param communityId
	 * @param pageNum
	 * @param pageSize
	 * @param modelType
	 * @return
	 */
	List<TpMessage> getMessages(Integer communityId, Integer pageNum, Integer pageSize,Integer modelType);

	/**
	 * 全部已读
	 */
	void updateMessageReadStatus(Integer communityId);
}
