package com.community.commom.constant;

/**
 * 定义公共属性
 * @author weiximei
 */
public class Constant {

    /** APP端session **/
    public static final String APP_USER_SESSION = "appUser";

    /** WEB端session **/
    public static final String WEB_USER_SESSION = "webUser";

    /** 手机验证码 **/
    public static final String SESSION_PHONE_CODE = "phone_code";

    /** 图形验证码 **/
    public static final String SESSION_OMG_CODE = "img_code";

    /** 手机验证码 模板 **/
    public static final String CODE = "0201";

    /** 请求发送验证码的远程服务器地址 **/
    public static final String REQUEST_URL = "http://micservice.ycjcjy.com/sms";

    /** 本地缓存过期时间 单位秒 **/
    public static final Long CACHE_EXPIRE = 60L;

    /** 本地緩存最大个数 **/
    public static final Long CACHE_SIZE = 1000L;

    /** 住户APP端消息 **/
    public static final Integer MODEL_TYPE_NEWS = 1;
    
    /** 住户APP端待办 **/
    public static final Integer MODEL_TYPE_UPCOMING = 2;

    /** 社交公告类型**/
    public static final String ANNOUNCEMENT = "announcement";

    /** 社交活动类型**/
    public static final String ACTIVITY = "activity";

    /** 社交二手租赁类型**/
    public static final String LEASE = "lease";

    /**有效状态**/
    public static final Integer EFFECTIVE = 1;

    /**无效状态**/
    public static final Integer INVALID = 0;

    /**业主角色**/
    public static final String OWNER = "owner";

    /**租客角色**/
    public static final String TENANT = "tenant";

    /**家属角色**/
    public static final String FAMILYMEMBER = "familyMember";
    
    /** 工单回复的发起人 **/
    public static final String TICKET_USER_TYPE = "1";
}
